cURL
curl --request POST \
--url https://api.jup.ag/prediction/v1/positions/{positionPubkey}/claim \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"ownerPubkey": "<string>"
}
'{
"transaction": "<string>",
"txMeta": {
"blockhash": "<string>",
"lastValidBlockHeight": 1
},
"position": {
"positionPubkey": "<string>",
"marketPubkey": "<string>",
"userPubkey": "<string>",
"ownerPubkey": "<string>",
"isYes": true,
"contracts": "<string>",
"payoutAmountUsd": "<string>"
}
}Positions
Claim Position
Request an unsigned transaction to claim payout from a winning position
POST
/
positions
/
{positionPubkey}
/
claim
cURL
curl --request POST \
--url https://api.jup.ag/prediction/v1/positions/{positionPubkey}/claim \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"ownerPubkey": "<string>"
}
'{
"transaction": "<string>",
"txMeta": {
"blockhash": "<string>",
"lastValidBlockHeight": 1
},
"position": {
"positionPubkey": "<string>",
"marketPubkey": "<string>",
"userPubkey": "<string>",
"ownerPubkey": "<string>",
"isYes": true,
"contracts": "<string>",
"payoutAmountUsd": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Position account public key
Minimum string length:
32Body
application/json
Position owner public key
Minimum string length:
32Was this page helpful?
⌘I
